Subject: Re: [PATCH] ref-iterator-seek: correctly initialize the prefix_state for a new level

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Jul 2025 10:01:03 -0700

Karthik Nayak <[email-masked]> writes:

>>  * I had this as "fixup!" on top of your topic for quite a while and
>>    forgot to ask you to send in an official fix.  As Kyle's
>>    discovery was after the topic hit 'next' (understandable, as
>>    their internal edition of Git is based on 'next'), we need a
>>    separate fix on top.
>>
>>    To prepare for merging down the whole thing to 'master', I wrote
>>    the proposed log message to help expedite the process.  Comments?
>>
>
> I had a set of patches locally, I just didn't get around to sending it.
> Will send the others, omitting this. Thanks for doing it!

I do not mind discarding what I sent out at all.  I actually prefer
if it came from you.

Thanks.